
conf-scribe - Anomalie #2504

log de samba dans syslog en mode conteneur

12/01/2011 04:37 PM - Emmanuel GARETTE

Status: Fermé Start date: 12/01/2011

Priority: Normal Due date:  

Assigned To: Benjamin Bohard % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Mises à jour 2.3.7 Stable Spent time: 6.67 hours

Distribution: EOLE 2.3   

Description

Les logs de samba sont remontés dans /var/log/syslog en mode conteneur.

Related issues:

Related to eole-common - Anomalie #3401: "persistence" du fichier /etc/rsyslo... Fermé 04/25/2012

Precedes conf-scribe - Bac à idée #4512: Remontée des logs samba avec rsyslog... Nouveau 11/28/2012

Associated revisions

Revision a2bcb53b - 02/10/2012 01:43 PM - Fabrice Barconnière

On utilise le vfs object full_audit pour logger dans syslog

plus de /var/log/samba/log...

Maintenant /var/log/nmbd.log et /var/log/smbd.log

avec une rotation toute les semaines sur 52 semaines.

fixes #2504 @3h

Revision 7c4458ed - 02/10/2012 04:31 PM - Fabrice Barconnière

Configuration rsyslog et logrotate sur le maître si on est en mode conteneur

ref #2504

Revision 574207fc - 01/29/2013 04:43 PM - christophe guerinot

Mise à niveau du template 'global_smb.tmpl.ecdl'

Utilisation de vfs object full_audit pour logger dans syslog - ref #2504

'unix extensions' forcé à 'no' - ref #179

Remplacement de la déclaration creole 'slurp' par 'custom_join' - ref #3023

Revision a0c73b87 - 01/02/2018 08:44 AM - btry 

Feature/fix ticket self service (#3317)

remove unused global var

not modifiable fields should not display as inputs

when a self-service user edits a ticket not modifiable fields should appear as text, not HTML inputs

fix #2504 #3187

add more tests
Revision da1b2755 - 01/08/2018 04:49 PM - btry 

Fix ticket self service for GLPI 9.3 (#3384)

remove unused global var

not modifiable fields should not display as inputs

when a self-service user edits a ticket not modifiable fields should appear as text, not HTML inputs

fix #2504 #3187

add more tests

History

#1 - 12/13/2011 03:12 PM - Joël Cuissinat

- Target version set to Mises à jour 2.3.4 RC

#2 - 02/10/2012 02:56 PM - Fabrice Barconnière

- Status changed from Nouveau to Résolu

- % Done changed from 0 to 100

Appliqué par commit a2bcb53bf34045aa2d78db18040431dc261a88cd.

#3 - 03/21/2012 10:21 AM - Fabrice Barconnière

- Status changed from Résolu to Accepté

- Target version changed from Mises à jour 2.3.4 RC to Mises à jour 2.3.5 RC

- % Done changed from 100 to 80

Tests mode non conteneur pas concluants.

Pas de log dans /var/log/smbd.log

#4 - 04/26/2012 04:50 PM - Joël Cuissinat

- Status changed from Accepté to En attente d'informations

- Assigned To set to Benjamin Bohard

Test du jour :

pas de log dans syslog ni de duplication de logs

Mais les logs sont dans le conteneur partage :

/var/log/samba/log.smbd

/var/log/samba/log.nmbd

Quid des logs par machine (ex : /var/log/samba/monwinxp.log) et du fameux connexions.log ?
#5 - 04/27/2012 10:33 AM - Benjamin Bohard

- Target version changed from Mises à jour 2.3.5 RC to 48

- Distribution changed from EOLE 2.3 to EOLE 2.4

Le fichier de logs de samba est utilisé par controle-vnc.

Dans l'immédiat, pour permettre la consultation sur le maître (au détriment de la possibilité d'agréger sur un poste distant par rsyslog), la solution du

montage symbolique du dossier de log (du conteneur) sur le maître est la moins perturbatrice.

Pour remonter les logs sur le maître via rsyslog (prochaine étape), il faut augmenter le niveau indiqué dans le fichier de configuration : l'application

loggue les messages des niveaux inférieurs à celui indiqué.

#6 - 10/22/2012 12:06 PM - Fabrice Barconnière

- Status changed from En attente d'informations to Résolu

- % Done changed from 80 to 100

Appliqué par commit a2bcb53bf34045aa2d78db18040431dc261a88cd.

#7 - 11/28/2012 10:52 AM - Joël Cuissinat

- Status changed from Résolu to Fermé

- Target version changed from 48 to Mises à jour 2.3.7 Stable

- Distribution changed from EOLE 2.4 to EOLE 2.3

Sur 2.3, le sujet est clos

=> nouvelle demande pour 2.4 : #4512
